Package org.springframework.test.web.servlet.request

# Interface RequestPostProcessor

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface RequestPostProcessor
Extension point for applications or 3rd party libraries that wish to further initialize a `MockHttpServletRequest` instance after it has been built by `MockHttpServletRequestBuilder` or its subclass `MockMultipartHttpServletRequestBuilder`.

Implementations of this interface can be provided to `MockHttpServletRequestBuilder.with(RequestPostProcessor)` at the time when a request is about to be constructed.

Since:
  3.2
Author:
  Rossen Stoyanchev, Rob Winch

## Method Summary

Modifier and Type
Method
Description
`MockHttpServletRequest`
`postProcessRequest(MockHttpServletRequest request)`
Post-process the given `MockHttpServletRequest` after its creation and initialization through a `MockHttpServletRequestBuilder`.

## Method Details

### postProcessRequest

MockHttpServletRequest postProcessRequest(MockHttpServletRequest request)
Post-process the given `MockHttpServletRequest` after its creation and initialization through a `MockHttpServletRequestBuilder`.

Parameters:
  `request` - the request to initialize
Returns:
  the request to use, either the one passed in or a wrapped one